TVU Public API Stage
Home
Home
  1. Home
  • Back to home
  • MOS Gateway API
  • Channel for MOS
    • channelEventSync
    • env-check
  • route
    PUT
  1. Home

route

Testing
PUT
https://mma1.tvunetworks.com/api/mos/v1/route
provided by MOS Gateway used by customers, specifies the mapping of sources to destinations.

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Header Params

Body Params application/json

Examples

Responses

🟒200Success
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request PUT 'https://mma1.tvunetworks.com/api/mos/v1/route' \
--header 'tagvalue: stage' \
--header 'SID: ' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
    "sourceType": "Channel",
    "sourceId": "a8f2ba6ab6354ac0b1883a45e52d6372",
    "destinations": [
        {
            "destinationType": "Channel",
            "destinationId": "aec4a2ad50cd456b9a6acf5e6c3bc830"
        }
    ]
}'
Response Response Example
{
    "errorCode": "string",
    "errorMsg": "string"
}
Modified atΒ 2025-02-17 08:49:33
Previous
env-check
Built with